Name:           python-mpcurses
Version:        1.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The mpcurses module facilitates seamless terminal screen updates from child processes within a multiprocessing worker pool, leveraging the curses library for terminal manipulation

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/soda480/mpcurses
Source:         %{pypi_source mpcurses}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mpcurses' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mpcurses
Summary:        %{summary}

%description -n python3-mpcurses %_description


%prep
%autosetup -p1 -n mpcurses-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mpcurses -f %{pyproject_files}


%changelog
%autochangelog